<?php
/*********************************************************************************
	Debit API Demo - Testumgebung zurücksetzen
	- löscht alle Sessions und Customer
*********************************************************************************/
require_once 'config.php';

$break = false;
try {
// dispatcher erzeugen
	$dispatcher = new TNvpServiceDispatcher(MCP__DEBITSERVICE_INTERFACE, MCP__DEBITSERVICE_NVP_URL);

// nur ausführen wenn Formular unten gesendet wurde
	if (getPostVar('action') != 'reset'){
		$break = true;
		throw new Exception('action != reset');
	}

// Zurücksetzen
	$res = $dispatcher->resetTest(SERVICE_ACCESSKEY, SERVICE_TESTMODE);
	$GLOBALS['debug']['dispatcher']['resetTest'][] = $res;

// erfolgreich
	$infoText = 'Testumgebung wurde gelöscht';

} catch (Exception $e) {
	$GLOBALS['debug']['exception'][] = $e;
	if(!$break) $errorText = $e->getMessage();
}
?>
<form action="index.php?page=reset" method="post">
	<input type="hidden" name="action" value="reset">

	<b>Achtung!</b>
	<hr>

	<div>
		 Alle User werden in der Testumgebung gelöscht!
	</div>

	<div class="center">
		<input type="submit" value="Löschen">
	</div>

	<br>
	<div class="message">
		<span class="error"><?php echo $errorText; ?></span>
		<span class="info"><?php echo $infoText; ?></span>
	</div>
</form>


