<?php
/*********************************************************************************
	Debit API Demo - Testumgebung Abbuchen
*********************************************************************************/
require_once 'config.php';

$break = false;
try {
// dispatcher erzeugen
	$dispatcher = new TNvpServiceDispatcher(MCP__DEBITSERVICE_INTERFACE, MCP__DEBITSERVICE_NVP_URL);

// session ermitteln
	$sessionid = getSessionVar('sessionid');
	if (empty($sessionid)) throw new Exception('Keine Session verfügbar!');

// nur ausführen wenn Formular unten gesendet wurde
	if (getPostVar('action') != 'reverse'){
		$break = true;
		throw new Exception('action != reverse');
	}

// session stornieren
	$res = $dispatcher->sessionReverseTest(SERVICE_ACCESSKEY, SERVICE_TESTMODE, $sessionid);
	$GLOBALS['debug']['dispatcher']['sessionReverseTest'][] = $res;

// erfolgreich
	$infoText = 'Session wurde storniert';

} catch (Exception $e) {
	$GLOBALS['debug']['exception'][] = $e;
	if(!$break) $errorText = $e->getMessage();
}
?>
<form action="index.php?page=reverse" method="post">
	<input type="hidden" name="action" value="reverse">

	<b>Simulation: Stornieren</b>
	<hr>

	<div>
		 Letzte Session wird storniert!
	</div>

	<div class="center">
		<input type="submit" value="Stornieren">
	</div>

	<br>
	<div class="message">
		<span class="error"><?php echo $errorText; ?></span>
		<span class="info"><?php echo $infoText; ?></span>
	</div>
</form>


